Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class KernSubtableFormat0

    java.lang.Object
      org.apache.batik.svggen.font.table.KernSubtable
          org.apache.batik.svggen.font.table.KernSubtableFormat0

public class KernSubtableFormat0
extends KernSubtable

Constructor Summary
`protected` | `KernSubtableFormat0(java.io.RandomAccessFile raf)` Creates new KernSubtableFormat0

Method Summary
`KerningPair` | `getKerningPair(int i)`
`int` | `getKerningPairCount()`

Methods inherited from class org.apache.batik.svggen.font.table.KernSubtable
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernSubtableFormat0

    protected KernSubtableFormat0(java.io.RandomAccessFile raf)
                           throws java.io.IOException

  Creates new KernSubtableFormat0

Method Detail

### getKerningPairCount

    public int getKerningPairCount()

  Specified by:
    `getKerningPairCount` in class `KernSubtable`

### getKerningPair

    public KerningPair getKerningPair(int i)

  Specified by:
    `getKerningPair` in class `KernSubtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.